• Русский
  • OperatorGroup [operators.coreos.com/v1]

    Description
    OperatorGroup is the unit of multitenancy for OLM managed operators. It constrains the installation of operators in its namespace to a specified set of target namespaces.
    Type
    object
    Required
    metadata

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    OperatorGroupSpec is the spec for an OperatorGroup resource.

    statusobject

    OperatorGroupStatus is the status for an OperatorGroupResource.

    .spec

    Description
    OperatorGroupSpec is the spec for an OperatorGroup resource.
    Type
    object
    PropertyTypeDescription
    selectorobject

    Selector selects the OperatorGroup's target namespaces.

    serviceAccountNamestring

    ServiceAccountName is the admin specified service account which will be used to deploy operator(s) in this operator group.

    staticProvidedAPIsboolean

    Static tells OLM not to update the OperatorGroup's providedAPIs annotation

    targetNamespacesarray

    TargetNamespaces is an explicit set of namespaces to target. If it is set, Selector is ignored.

    .spec.selector

    Description
    Selector selects the OperatorGroup's target namespaces.
    Type
    object
    PropertyTypeDescription
    matchExpressionsarray

    matchExpressions is a list of label selector requirements. The requirements are ANDed.

    matchLabelsobject

    matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.

    .spec.selector.matchExpressions

    Description
    matchExpressions is a list of label selector requirements. The requirements are ANDed.
    Type
    array

    .spec.selector.matchExpressions[]

    Description
    A label selector requirement is a selector that contains values, a key, and an operator that relates the key and values.
    Type
    object
    Required
    keyoperator
    PropertyTypeDescription
    keystring

    key is the label key that the selector applies to.

    operatorstring

    operator represents a key's relationship to a set of values. Valid operators are In, NotIn, Exists and DoesNotExist.

    valuesarray

    values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.

    .spec.selector.matchExpressions[].values

    Description
    values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.
    Type
    array

    .spec.selector.matchExpressions[].values[]

    Type
    string

    .spec.selector.matchLabels

    Description
    matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.
    Type
    object

    .spec.targetNamespaces

    Description
    TargetNamespaces is an explicit set of namespaces to target. If it is set, Selector is ignored.
    Type
    array

    .spec.targetNamespaces[]

    Type
    string

    .status

    Description
    OperatorGroupStatus is the status for an OperatorGroupResource.
    Type
    object
    Required
    lastUpdated
    PropertyTypeDescription
    conditionsarray

    Conditions is an array of the OperatorGroup's conditions.

    lastUpdatedstring

    LastUpdated is a timestamp of the last time the OperatorGroup's status was Updated.

    namespacesarray

    Namespaces is the set of target namespaces for the OperatorGroup.

    serviceAccountRefobject

    ServiceAccountRef references the service account object specified.

    .status.conditions

    Description
    Conditions is an array of the OperatorGroup's conditions.
    Type
    array

    .status.conditions[]

    Description
    Condition contains details for one aspect of the current state of this API Resource. --- This struct is intended for direct use as an array at the field path .status.conditions. For example, type FooStatus struct{ // Represents the observations of a foo's current state. // Known .status.conditions.type are: "Available", "Progressing", and "Degraded" // +patchMergeKey=type // +patchStrategy=merge // +listType=map // +listMapKey=type Conditions []metav1.Condition `json:"conditions,omitempty" patchStrategy:"merge" patchMergeKey:"type" protobuf:"bytes,1,rep,name=conditions"` // other fields }
    Type
    object
    Required
    lastTransitionTimemessagereasonstatustype
    PropertyTypeDescription
    lastTransitionTimestring

    lastTransitionTime is the last time the condition transitioned from one status to another. This should be when the underlying condition changed. If that is not known, then using the time when the API field changed is acceptable.

    messagestring

    message is a human readable message indicating details about the transition. This may be an empty string.

    observedGenerationinteger

    observedGeneration represents the .metadata.generation that the condition was set based upon. For instance, if .metadata.generation is currently 12, but the .status.conditions[x].observedGeneration is 9, the condition is out of date with respect to the current state of the instance.

    reasonstring

    reason contains a programmatic identifier indicating the reason for the condition's last transition. Producers of specific condition types may define expected values and meanings for this field, and whether the values are considered a guaranteed API. The value should be a CamelCase string. This field may not be empty.

    statusstring

    status of the condition, one of True, False, Unknown.

    typestring

    type of condition in CamelCase or in foo.example.com/CamelCase. --- Many .condition.type values are consistent across resources like Available, but because arbitrary conditions can be useful (see .node.status.conditions), the ability to deconflict is important. The regex it matches is (dns1123SubdomainFmt/)?(qualifiedNameFmt)

    .status.namespaces

    Description
    Namespaces is the set of target namespaces for the OperatorGroup.
    Type
    array

    .status.namespaces[]

    Type
    string

    .status.serviceAccountRef

    Description
    ServiceAccountRef references the service account object specified.
    Type
    object
    PropertyTypeDescription
    apiVersionstring

    API version of the referent.

    fieldPathstring

    If referring to a piece of an object instead of an entire object, this string should contain a valid JSON/Go field access statement, such as desiredState.manifest.containers[2]. For example, if the object reference is to a container within a pod, this would take on a value like: "spec.containers{name}" (where "name" refers to the name of the container that triggered the event) or if no container name is specified "spec.containers[2]" (container with index 2 in this pod). This syntax is chosen only to have some well-defined way of referencing a part of an object. TODO: this design is not final and this field is subject to change in the future.

    kindstring

    Kind of the referent. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    namestring

    Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names

    namespacestring

    Namespace of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces/

    resourceVersionstring

    Specific resourceVersion to which this reference is made, if any. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency

    uidstring

    UID of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#uids

    API Endpoints

    The following API endpoints are available:

    • /apis/operators.coreos.com/v1/namespaces/{namespace}/operatorgroups
      • DELETE: delete collection of OperatorGroup
      • GET: list objects of kind OperatorGroup
      • POST: create a new OperatorGroup
    • /apis/operators.coreos.com/v1/namespaces/{namespace}/operatorgroups/{name}
      • DELETE: delete the specified OperatorGroup
      • GET: read the specified OperatorGroup
      • PATCH: partially update the specified OperatorGroup
      • PUT: replace the specified OperatorGroup
    • /apis/operators.coreos.com/v1/namespaces/{namespace}/operatorgroups/{name}/status
      • GET: read status of the specified OperatorGroup
      • PATCH: partially update status of the specified OperatorGroup
      • PUT: replace status of the specified OperatorGroup

    /apis/operators.coreos.com/v1/namespaces/{namespace}/operatorgroups

    HTTP method
    DELETE
    Description
    delete collection of OperatorGroup
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind OperatorGroup
    HTTP responses
    HTTP codeResponse body
    200 - OKOperatorGroupList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new OperatorGroup
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyOperatorGroup schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKOperatorGroup schema
    201 - CreatedOperatorGroup schema
    202 - AcceptedOperatorGroup schema
    401 - UnauthorizedEmpty

    /apis/operators.coreos.com/v1/namespaces/{namespace}/operatorgroups/{name}

    HTTP method
    DELETE
    Description
    delete the specified OperatorGroup
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified OperatorGroup
    HTTP responses
    HTTP codeResponse body
    200 - OKOperatorGroup schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified OperatorGroup
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKOperatorGroup schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified OperatorGroup
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyOperatorGroup schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKOperatorGroup schema
    201 - CreatedOperatorGroup schema
    401 - UnauthorizedEmpty

    /apis/operators.coreos.com/v1/namespaces/{namespace}/operatorgroups/{name}/status

    HTTP method
    GET
    Description
    read status of the specified OperatorGroup
    HTTP responses
    HTTP codeResponse body
    200 - OKOperatorGroup schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified OperatorGroup
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKOperatorGroup schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified OperatorGroup
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyOperatorGroup schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKOperatorGroup schema
    201 - CreatedOperatorGroup schema
    401 - UnauthorizedEmpty